package com.atlassian.bitbucket.internal.mirroring.mirror.rest.cloud;

import com.atlassian.bitbucket.scm.git.GitRefPattern;

import java.util.Map;

public class RestCloudExternalGitRefChangeTest extends RestCloudExternalRefChangeTest {
    @Override
    protected String qualifiedBranch(String name) {
        return GitRefPattern.HEADS.qualify(name);
    }

    @Override
    protected RestCloudExternalRefChange newRefChange(Map<String, ?> value) {
        return new RestCloudExternalGitRefChange(value);
    }
}